using UnityEngine;

public class FallingPlatform : MonoBehaviour {

    [SerializeField] private float _fallDelay;
    private const float _destroyingTime = 2.0f;
    private Rigidbody2D _rigidBody2D;

    private void Start() => _rigidBody2D = GetComponent<Rigidbody2D>();

    private void OnCollisionEnter2D(Collision2D collision) {
        if (collision.gameObject.TryGetComponent(out Player player)) {
            Invoke(nameof(Fall), _fallDelay);
            Destroy(gameObject, _destroyingTime);
        }
    }

    private void Fall() => _rigidBody2D.isKinematic = false;
}