using UnityEngine;

public class Ladder : MonoBehaviour {
    private enum LadderPart { complete, bottom, top };
    [SerializeField] private LadderPart _part = LadderPart.complete;

    private void OnTriggerEnter2D(Collider2D collision) {
        if (collision.TryGetComponent(out Player player)) {
            switch (_part) {
                case LadderPart.complete:
                    player.CanClimb = true;
                    player.Ladder = this;
                    break;
                case LadderPart.bottom:
                    player.BottomLadder = true;
                    break;
                case LadderPart.top:
                    player.TopLadder = true;
                    break;
                default:
                    break;
            }
        }
    }

    private void OnTriggerExit2D(Collider2D collision) {
        if (collision.TryGetComponent(out Player player)) {
            switch (_part) {
                case LadderPart.complete:
                    player.CanClimb = false;
                    break;
                case LadderPart.bottom:
                    player.BottomLadder = false;
                    break;
                case LadderPart.top:
                    player.TopLadder = false;
                    break;
                default:
                    break;
            }
        }
    }
}