using UnityEngine;
using TMPro;

public class LeverArm : MonoBehaviour
{
    [SerializeField] private Sprite _isOnSprite;
    [SerializeField] private MovingPlatform _platform;
    private TextMeshProUGUI _pressE;
    private SpriteRenderer _spriteRenderer;    
    private Transform _player;    

    private void Start()
    {       
        _spriteRenderer = GetComponent<SpriteRenderer>();        
        _player = Player.SingletonInstance.transform;
        _pressE = GetComponentInChildren<TextMeshProUGUI>();
    }

    private void Update()
    {
        if (Input.GetKeyDown(KeyCode.E) && Mathf.Abs(transform.position.x - _player.position.x) <= 1F)
        {
            _spriteRenderer.sprite = _isOnSprite;
            _platform.SpeedX = 2.5f;                     
            _pressE.enabled = false;
        }
        _pressE.enabled = _spriteRenderer.sprite != _isOnSprite && Mathf.Abs(transform.position.x - _player.position.x) <= 1.5f;
    }    
}