using UnityEngine;

public class LivesBar : MonoBehaviour {

    private Transform[] _hearts = new Transform[5];
    private Player _player;

    public static LivesBar SingletonInstance { get; private set; }

    private void Awake() {
        _player = Player.SingletonInstance.GetComponent<Player>();
        SingletonInstance = this;
        for (int i = 0; i < _hearts.Length; i++) _hearts[i] = transform.GetChild(i);
    }

    public void Refresh() {
        for (int i = 0; i < _hearts.Length; i++) {
            if (i < _player.HP) _hearts[i].gameObject.SetActive(true);
            else _hearts[i].gameObject.SetActive(false);
        }
    }
}