using UnityEngine;

public class MovingPlatform : MonoBehaviour {

    [SerializeField] private float _rightPoint;
    [SerializeField] private float _leftPoint;
    [SerializeField] private float _upPoint;
    [SerializeField] private float _downPoint;
    [SerializeField] public float SpeedX;
    [SerializeField] private float _speedY;
    [SerializeField] private bool _ableToChangeDirection;
    private bool _changeMoveDirection = true;

    private void FixedUpdate() {
        if (transform.position.y > _upPoint && !_ableToChangeDirection) _changeMoveDirection = false;
        else if (transform.position.y < _downPoint && !_ableToChangeDirection) _changeMoveDirection = true;

        if (transform.position.x > _rightPoint && _ableToChangeDirection) _changeMoveDirection = false;
        else if (transform.position.x < _leftPoint && _ableToChangeDirection) _changeMoveDirection = true;

        if (_changeMoveDirection) transform.position = new Vector2(transform.position.x + SpeedX * Time.fixedDeltaTime, transform.position.y + _speedY * Time.fixedDeltaTime);
        else transform.position = new Vector2(transform.position.x - SpeedX * Time.fixedDeltaTime, transform.position.y - _speedY * Time.fixedDeltaTime);
    }
}