using UnityEngine;

public class Parallax : MonoBehaviour {

    private Transform _followingTarget;
    [SerializeField, Range(0F, 1F)] private float _parallaxStrenght = 0.1F;
    private Vector3 _targetPreviousPosition;

    private void Start() {
        _followingTarget = Camera.main.transform;
        _targetPreviousPosition = _followingTarget.position;
    }

    private void LateUpdate() {
        Vector3 delta = _followingTarget.position - _targetPreviousPosition;
        delta.y = 0;
        _targetPreviousPosition = _followingTarget.position;
        transform.position += delta * _parallaxStrenght;
    }
}