using UnityEngine;

public class SlimeController : EnemiesController {
    [SerializeField] private float _leftPoint;
    [SerializeField] private float _rightPoint;
    [SerializeField] private float _jumpLength;
    [SerializeField] private float _jumpHeight;
    [SerializeField] private LayerMask _groundLayer;
    private bool _facingRight = true;

    protected override void Start() {
        base.Start();
    }

    private void Update() {
        if (_Animator.GetBool("Jumping")) {
            if (_RigidBody2D.velocity.y < 0.1F) {
                _Animator.SetBool("Falling", true);
                _Animator.SetBool("Jumping", false);
            }
        }
        if (_Collider2D.IsTouchingLayers(_groundLayer) && _Animator.GetBool("Falling")) _Animator.SetBool("Falling", false);
    }

    private void Move() {
        if (_facingRight) {
            if (transform.position.x > _leftPoint) {
                if (transform.localScale.x != 1) transform.localScale = Scale(1f, 1f);
                if (_Collider2D.IsTouchingLayers(_groundLayer)) Jump(-_jumpLength);
            } else _facingRight = false;
        } else {
            if (transform.position.x < _rightPoint) {
                if (transform.localScale.x != -1) transform.localScale = Scale(-1f, 1f);
                if (_Collider2D.IsTouchingLayers(_groundLayer)) Jump(_jumpLength);
            } else _facingRight = true;
        }
    }

    private void Jump(float jumpLenth) {
        _RigidBody2D.velocity = new Vector2(jumpLenth, _jumpHeight);
        _Animator.SetBool("Jumping", true);
    }

    Vector2 Scale(float x, float y) => new(x, y);
}