using UnityEngine;

public class WormController : EnemiesController {
    [SerializeField] private const float _shootRate = 2.0F;

    [SerializeField] private Color _bulletColor;

    [SerializeField] private Sprite _bulletSprite;

    private Bullet _bullet;

    [SerializeField] private AudioSource _shootSound;

    protected override void Start() {
        base.Start();
        InvokeRepeating(nameof(Shoot), _shootRate, _shootRate);
        _bullet = Resources.Load<Bullet>(nameof(Bullet));
    }

    private void Update() {
        if (Target.transform.position.x > transform.position.x) _SpriteRenderer.flipX = true;
        else _SpriteRenderer.flipX = false;
    }

    private void Shoot() {
        _shootSound.Play();
        Vector3 position = transform.position;
        position.y += 0.2F;
        Bullet newBullet = Instantiate(_bullet, position, _bullet.transform.rotation) as Bullet;
        newBullet.Parent = gameObject;
        newBullet.Direction = newBullet.transform.right * (_SpriteRenderer.flipX ? 1.0F : -1.0F);
        newBullet.SpriteRenderer.sprite = _bulletSprite;
        newBullet.Color = _bulletColor;
    }
}